Skip to main content
GET
/
v1
/
orders
/
List orders
curl --request GET \
  --url https://prod.truv.com/v1/orders/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
import requests

url = "https://prod.truv.com/v1/orders/"

headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};

fetch('https://prod.truv.com/v1/orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "https://prod.truv.com/v1/orders/?cursor=cD0yMDI2LTA0LTIx",
  "previous": "https://prod.truv.com/v1/orders/?cursor=cj0xJnA9MjAyNi0wNC0yMQ",
  "results": [
    {
      "id": "39aa1486ccca4bc19cda071ffc1ba392",
      "products": [
        "income",
        "assets"
      ],
      "source": "floify",
      "first_name": "John",
      "last_name": "Doe",
      "created_at": "2026-04-21T21:45:14.418542Z",
      "order_number": "1534332",
      "custom_field": "<string>",
      "short_share_url": "https://truv.com/s/BIlEyh1A",
      "canceled_at": "2026-04-22T21:45:14.418542Z",
      "initial_order": "f5dc0239e2094dbc90ab2edc1918a9df",
      "refresh_order": "9b96606355b94e8abff8ed8d75aa2027",
      "manager": {
        "email": "john.doe@example.com",
        "name": "John Doe"
      },
      "loan": {
        "loan_number": "MUUT220700012",
        "originator_name": "John Doe",
        "originator_email": "john@example.com",
        "loan_processor_name": "John Doe",
        "loan_processor_email": "john@doe.com"
      },
      "template": {
        "id": "9b96606355b94e8abff8ed8d75aa2027",
        "name": "My template"
      },
      "notes": "To be processed by John Doe",
      "employers": [
        {
          "id": "ad9f14440d624ec3b0f66e81e44518c7",
          "status": "pending",
          "created_at": "2026-04-21T22:12:59.346109Z",
          "product_type": "income",
          "suborder_number": "133982343355",
          "link_id": "e4100fccdae94691b4414c7306220c06",
          "data_source": "payroll",
          "provider": {
            "id": "truv_api",
            "name": "Sandbox Provider",
            "logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
          },
          "is_suspicious": true,
          "was_attempted": true
        }
      ],
      "insurance": {
        "id": "ad9f14440d624ec3b0f66e81e44518c7",
        "status": "pending",
        "created_at": "2026-04-21T22:12:59.346109Z",
        "product_type": "insurance",
        "suborder_number": "133982343355",
        "link_id": "e4100fccdae94691b4414c7306220c06",
        "data_source": "insurance",
        "provider": {
          "id": "truv_api",
          "name": "Sandbox Provider",
          "logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
        },
        "is_suspicious": true,
        "was_attempted": true
      },
      "financial_accounts": [
        {
          "id": "ad9f14440d624ec3b0f66e81e44518c7",
          "status": "pending",
          "created_at": "2026-04-21T22:12:59.346109Z",
          "product_type": "assets",
          "suborder_number": "133982343355",
          "link_id": "e4100fccdae94691b4414c7306220c06",
          "data_source": "financial_accounts",
          "provider": {
            "id": "truv_api",
            "name": "Sandbox Provider",
            "logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
          },
          "is_suspicious": true,
          "was_attempted": true
        }
      ]
    }
  ]
}
{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}
{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}
{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}
{
"error": {
"code": "throttled",
"message": "Request was throttled."
}
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

created_at__lte
string<date-time>

Filter created_at less than or equal (ISO-8601).

created_at__gte
string<date-time>

Filter created_at greater than or equal (ISO-8601).

source
enum<string>

Filter by order source.

Available options:
floify,
besmartee,
lenderlogix,
encompass_consumer_connect,
byte,
core_logic,
xactus,
constellation,
banno,
mx,
q2,
clutch,
accio,
encompass,
tpo_connect,
darkmatter,
tazworks,
internal,
simplenexus,
external_webpage,
individual,
self_signup,
alkami,
blue_sage,
lodasoft,
blend,
tidalwave
Example:

"floify"

status
enum<string>[]

Filter by order status.

Available options:
pending,
sent,
completed,
error,
canceled,
expired,
no_data,
skipped
Example:
["completed"]
products
enum<string>[]

Filter by product type.

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
credit
Example:
["income", "assets"]
refresh
enum<string>

Filter refresh orders: only returns refresh orders, exclude returns original orders.

Available options:
only,
exclude
Example:

"exclude"

order_manager_emails
string

Comma-separated list of order manager emails to filter orders.

templates
string

Comma-separated list of customization template IDs to filter orders.

Search query by the following fields: id, applicant_report_id, voa_report_id, phone, email, order_number, loan_number, custom_field, first_name, last_name, company_name.

ordering
enum<string>

Which field to use when ordering the results. The default is by descending created_at.

Available options:
created_at,
-created_at,
refreshed_at,
-refreshed_at,
order_number,
-order_number,
order_manager__email,
-order_manager__email,
notes,
-notes
Example:

"-created_at"

cursor
string

The pagination cursor value.

page_size
integer
default:10

Number of results to return per page.

Required range: 1 <= x <= 50

Response

next
string<uri> | null

URL to the next page of results

Example:

"https://prod.truv.com/v1/orders/?cursor=cD0yMDI2LTA0LTIx"

previous
string<uri> | null

URL to the previous page of results

Example:

"https://prod.truv.com/v1/orders/?cursor=cj0xJnA9MjAyNi0wNC0yMQ"

results
object[]